Package org.eclipse.m2m.atl.emftvm.util

# Class EMFTVMUtil.RegistryTypeSwitch

java.lang.Object
org.eclipse.emf.ecore.util.Switch<T>
org.eclipse.emf.ecore.util.EcoreSwitch<Object>
org.eclipse.m2m.atl.emftvm.util.EMFTVMUtil.RegistryTypeSwitch

Enclosing class:
  EMFTVMUtil

public static class EMFTVMUtil.RegistryTypeSwitch extends org.eclipse.emf.ecore.util.EcoreSwitch<Object>
Returns the registry type of the switched object.

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.util.EcoreSwitch

`modelPackage`

## Constructor Summary

Constructors
Constructor
Description
`RegistryTypeSwitch()`

## Method Summary

Modifier and Type
Method
Description
`Object`
`caseEClass(org.eclipse.emf.ecore.EClass object)`
`Object`
`caseEClassifier(org.eclipse.emf.ecore.EClassifier object)`
`Object`
`caseEEnum(org.eclipse.emf.ecore.EEnum object)`
`Object`
`defaultCase(org.eclipse.emf.ecore.EObject object)`

### Methods inherited from class org.eclipse.emf.ecore.util.EcoreSwitch

`caseEAnnotation, caseEAttribute, caseEDataType, caseEEnumLiteral, caseEFactory, caseEGenericType, caseEModelElement, caseENamedElement, caseEOperation, caseEPackage, caseEParameter, caseEReference, caseEStringToStringMapEntry, caseEStructuralFeature, caseETypedElement, caseETypeParameter, doSwitch, isSwitchFor`

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch, doSwitch`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegistryTypeSwitch

public RegistryTypeSwitch()

## Method Details

### defaultCase

public Object defaultCase(org.eclipse.emf.ecore.EObject object)

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.EcoreSwitch<Object>`

### caseEClass

public Object caseEClass(org.eclipse.emf.ecore.EClass object)

Overrides:
  `caseEClass` in class `org.eclipse.emf.ecore.util.EcoreSwitch<Object>`

### caseEClassifier

public Object caseEClassifier(org.eclipse.emf.ecore.EClassifier object)

Overrides:
  `caseEClassifier` in class `org.eclipse.emf.ecore.util.EcoreSwitch<Object>`

### caseEEnum

public Object caseEEnum(org.eclipse.emf.ecore.EEnum object)

Overrides:
  `caseEEnum` in class `org.eclipse.emf.ecore.util.EcoreSwitch<Object>`